%define modname cTemplate
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A49_%{modname}.ini

Summary:	A PHP extension for the Google ctemplate library
Name:		php-%{modname}
Version:	0.5
Release:	%mkrel 10
Group:		Development/PHP
License:	BSD
URL:		http://people.freebsd.org/~vanilla/
Source0:	http://people.freebsd.org/~vanilla/%{modname}-%{version}.tar.bz2
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	libctemplate-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
php_ctemplate is a PHP extension for the Google ctemplate library. Most
functions have been implemented (about 90%).

%prep

%setup -q -n %{modname}-%{version}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

# nuke this
perl -pi -e "s|-Werror -Wall -g||g" config.m4

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export FFLAGS="%{optflags}"

%if %mdkversion >= 200710
export CFLAGS="$CFLAGS -fstack-protector"
export CXXFLAGS="$CXXFLAGS -fstack-protector"
export FFLAGS="$FFLAGS -fstack-protector"
%endif

export CTEMPLATE_SHARED_LIBADD="-lpthread"

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Fri Jun 15 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-10mdv2008.0
+ Revision: 40051
- rebuild
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-8mdv2008.0
+ Revision: 33798
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-7mdv2008.0
+ Revision: 21318
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-6mdv2007.0
+ Revision: 117544
- rebuilt against new upstream version (5.2.1)
- fix deps
- rebuilt for php-5.2.0
- Import php-cTemplate

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5-3
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2007.1
- rebuild

* Fri Jul 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdk
- 0.5

* Mon May 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4-1mdk
- 0.4

* Wed May 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdk
- 0.3

* Tue May 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-2mdk
- fix linkage (#22344)

* Mon May 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdk
- 0.1 (Minor feature enhancements)

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0-3mdk
- rebuilt for php-5.1.4

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0-2mdk
- rebuilt for php-5.1.3

* Wed May 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0-1mdk
- initial mandriva package

